petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPView

Prints the KSP data structure.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPView(KSP ksp,PetscViewer viewer)

Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| viewer | - visualization context Many br

### Options Database Keys

-ksp_view -print the ksp data structure at the end of a KSPSolve call Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization context with Many brPetscViewerASCIIOpen() - output to a specified file. Many br

Many br

### Keywords

KSP, view

### See Also

PCView(), PetscViewerASCIIOpen()

Level:beginner
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html